---
updatedAt: 2026-05-20T06:39:02.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Post Split Intent

Returns an unsigned transaction transaction that can be used to
 split to divide an existing stake account into two separate accounts, each holding a
 specified portion of the original stake’s SOL.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "contact": {
      "email": "info@blockdaemon.com",
      "name": "Blockdaemon",
      "url": "https://blockdaemon.com"
    },
    "description": "The Blockdaemon Staking API simplifies and streamlines institutional cryptocurrency staking. The API allows developers to interact with blockchain networks and perform various staking-related operations, such as delegating and undelegating tokens, in a single, unified interface.\n\nWith the Staking API, you can quickly and easily build and deploy applications that automate staking activities and increase efficiency in your blockchain operations.",
    "title": "Staking API",
    "version": "2.0.0",
    "x-logo": {
      "altText": "Blockdaemon logo",
      "backgroundColor": "#fafafa",
      "url": "https://assets-global.website-files.com/633c5e06513fa35f3391a5f9/645d33beb6fa65f6cfb95eb8_BD%20Logo%20Stack%20-%20Purple.svg"
    }
  },
  "tags": [
    {
      "description": "Solana endpoints",
      "name": "Solana",
      "x-displayName": "Solana"
    }
  ],
  "paths": {
    "/v2/solana/{network}/split-intent": {
      "post": {
        "description": "Returns an unsigned transaction transaction that can be used to\n split to divide an existing stake account into two separate accounts, each holding a\n specified portion of the original stake’s SOL.",
        "operationId": "BuildSplitTransaction",
        "parameters": [
          {
            "description": "The target Solana network (allowed 'mainnet' or 'testnet').",
            "in": "path",
            "name": "network",
            "required": true,
            "schema": {
              "example": "mainnet",
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/solanaSplitTransactionRequest"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/solanaSplitTransactionResponse"
                }
              }
            },
            "description": "OK"
          },
          "400": {
            "$ref": "#/components/responses/InvalidRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          }
        },
        "security": [
          {
            "ApiKeyAuth": []
          }
        ],
        "summary": "Post Split Intent",
        "tags": [
          "Solana"
        ]
      }
    }
  },
  "components": {
    "responses": {
      "InternalServerError": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        },
        "description": "Internal server error."
      },
      "InvalidRequest": {
        "content": {
          "application/json": {
            "schema": {
              "description": "Error response envelope",
              "properties": {
                "code": {
                  "description": "Error code",
                  "example": 400,
                  "format": "int32",
                  "type": "integer"
                },
                "message": {
                  "description": "Error Message",
                  "example": "Detailed human-readable diagnostic message regarding any invalid request parameters",
                  "type": "string"
                }
              },
              "required": [
                "code",
                "message"
              ],
              "type": "object"
            }
          }
        },
        "description": "Invalid request."
      },
      "Unauthorized": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/UnauthorizedError"
            }
          }
        },
        "description": "Header 'X-API-Key' missing."
      }
    },
    "schemas": {
      "Error": {
        "description": "Error response envelope",
        "properties": {
          "code": {
            "description": "Error code",
            "example": 500,
            "format": "int32",
            "type": "integer"
          },
          "message": {
            "description": "Error Message",
            "example": "A descriptive error message",
            "type": "string"
          }
        },
        "required": [
          "code",
          "message"
        ],
        "type": "object"
      },
      "UnauthorizedError": {
        "description": "Error response envelope",
        "properties": {
          "code": {
            "description": "Error code",
            "example": 401,
            "format": "int32",
            "type": "integer"
          },
          "message": {
            "description": "Error Message",
            "example": "A human-readable diagnostic message detailing any authorization failure",
            "type": "string"
          }
        },
        "required": [
          "code",
          "message"
        ],
        "type": "object"
      },
      "solanaSplitMetadata": {
        "properties": {
          "minimum_rent_exemption": {
            "description": "Minimum amount of SOL (in Lamports) new stake-account needs for rent-exemption",
            "example": 500,
            "format": "int64",
            "type": "integer"
          }
        },
        "type": "object"
      },
      "solanaSplitTransactionRequest": {
        "properties": {
          "amount": {
            "description": "The amount of funds you want to move from the specified stake-account to the new stake-account (in Lamports).",
            "example": 1000,
            "format": "int64",
            "type": "integer"
          },
          "network": {
            "description": "The target Solana network (allowed 'mainnet' or 'testnet').",
            "example": "mainnet",
            "readOnly": true,
            "type": "string"
          },
          "stake_account_pubkey": {
            "description": "The address of the stake account to split",
            "example": "75q6kcecNQhawj1dCmPWhfootfQBnZh7iWnNjoXTJv79",
            "pattern": "^[1-9A-HJ-NP-Za-km-z]{43,44}$",
            "type": "string"
          }
        },
        "required": [
          "stake_account_pubkey",
          "amount"
        ],
        "type": "object"
      },
      "solanaSplitTransactionResponse": {
        "properties": {
          "estimated_fee": {
            "description": "The estimated fee for the transaction.",
            "example": 1000000000,
            "format": "int64",
            "type": "integer"
          },
          "instruction_count": {
            "description": "The number of instructions in the transaction.",
            "example": 1,
            "format": "int32",
            "minimum": 1,
            "type": "integer"
          },
          "metadata": {
            "$ref": "#/components/schemas/solanaSplitMetadata"
          },
          "network": {
            "description": "The target Solana network (allowed 'mainnet' or 'testnet').",
            "example": "mainnet",
            "readOnly": true,
            "type": "string"
          },
          "new_stake_account_pubkey": {
            "description": "The new address of the stake account to receive the split amount.",
            "example": "75q6kcecNQhawj1dCmPWhfootfQBnZh7iWnNjoXTJv79",
            "pattern": "^[1-9A-HJ-NP-Za-km-z]{43,44}$",
            "type": "string"
          },
          "stake_account_pubkey": {
            "description": "The original address of the stake account to split from.",
            "example": "75q6kcecNQhawj1dCmPWhfootfQBnZh7iWnNjoXTJv79",
            "pattern": "^[1-9A-HJ-NP-Za-km-z]{43,44}$",
            "type": "string"
          },
          "stake_authority_pubkey": {
            "description": "The address of the account authorized to deactivate both the original and new stake accounts.",
            "example": "75q6kcecNQhawj1dCmPWhfootfQBnZh7iWnNjoXTJv79",
            "pattern": "^[1-9A-HJ-NP-Za-km-z]{43,44}$",
            "type": "string"
          },
          "unsigned_transaction": {
            "description": "Base64-encoded, serialized Solana transaction to be signed and submitted.",
            "type": "string"
          }
        },
        "required": [
          "unsigned_transaction",
          "stake_account_pubkey",
          "new_stake_account_pubkey",
          "stake_authority_pubkey",
          "instruction_count",
          "estimated_fee"
        ],
        "type": "object"
      }
    },
    "securitySchemes": {
      "ApiKeyAuth": {
        "description": "When signing up for a staking account, you are provided with an API key. To authenticate a Staking API request, pass your API key in the `X-API-Key` header.",
        "in": "header",
        "name": "X-API-Key",
        "type": "apiKey"
      }
    }
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com/sia"
    }
  ],
  "x-readme": {
    "explorer-enabled": false
  }
}
```